/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.netflux.internal;

import java.util.Random;

/**
 * Utility methods.
 * 
 * @version $Id: 20eb42148bd234ee29c7555d25ffd5fa86febfa5 $
 * @since 13.9RC1
 */
public final class Utils
{
    private Utils()
    {
    }

    /**
     * @param length the length of the hex string to generate
     * @return the generated random hex string
     */
    public static String getRandomHexString(int length)
    {
        Random random = new Random();
        StringBuffer hexString = new StringBuffer();
        while (hexString.length() < length) {
            hexString.append(Integer.toHexString(random.nextInt()));
        }
        return hexString.toString().substring(0, length);
    }
}
